Bug 102930 - [LOCALHELP] Review and complete the mail merge help pages
Summary: [LOCALHELP] Review and complete the mail merge help pages
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Gabor Kelemen
QA Contact:
URL:
Whiteboard: target:5.5.0 target:5.4.0.1 target:6.0.0
Keywords:
Depends on: 87048 98799
Blocks: HelpGaps
  Show dependency treegraph
 
Reported: 2016-10-03 09:50 UTC by Olivier Hallot
Modified: 2017-07-14 10:55 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2016-10-03 09:50:42 UTC
Since bug#87048, the mail merge needs to be updated.

See comment 12 there.
Comment 1 Commit Notification 2017-01-23 09:25:09 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=0b8b6b25fd76e0bf13929b0d45d8c611e6e28646

tdf#102930 Update Mail Merge dialog help page
Comment 2 QA Administrators 2017-03-01 10:54:25 UTC
Hello Gabor,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?
Comment 3 Gabor Kelemen 2017-03-01 14:34:46 UTC
Hi

We are nowhere near to have this task finished. Lots of changes happened, including the simplification of the wizard, the new toolbar, its buttons and the accompanying windows.
Comment 4 Commit Notification 2017-04-02 20:31:08 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=7f8eec4aea1271f18ba55c771a8d81171ebbba48

tdf#102930 Update Mail Merge Wizard pages - 00
Comment 5 Commit Notification 2017-04-02 20:32:57 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=5ebea3473f90837a9e3293f7173497caf8f9a7ee

tdf#102930 Add new pages for Mail Merge rewamp
Comment 6 Commit Notification 2017-04-02 20:34:55 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=2c3f721d7dd152efbe6261ea697643c84ce11b12

tdf#102930 Update Mail Merge Wizard Page 1 help
Comment 7 Commit Notification 2017-04-02 20:36:55 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=dd49e9fa8338f442e30fc78afea7cac0e8831540

tdf#102930 Update Mail Merge Wizard Page 2 help
Comment 8 Commit Notification 2017-04-02 20:37:05 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=854375b6e711cd114e537215b55c6bfdd8d654b0

tdf#102930 Update Mail Merge Wizard Page 3 help
Comment 9 Commit Notification 2017-04-02 20:39:05 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=a5b29c05af7c8cc038f953bda2995f8d99be5e04

tdf#102930 Update Mail Merge Wizard Page 4 help
Comment 10 Commit Notification 2017-04-02 20:39:19 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=f819eb227c337fc59416649218be6354d287de37

tdf#102930 Update Mail Merge Wizard Page 5 help
Comment 11 Commit Notification 2017-04-02 20:46:14 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=ca3d69f1840b71b899c0ab8b1671f314b799eeae

tdf#102930 Update link on Mail Merge - Copy To window page
Comment 12 Commit Notification 2017-04-02 20:48:13 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=05690a67949aafbe69949226a26834a3a55c51df

tdf#102930 Mail Merge Wizard help: Custom Address List page
Comment 13 Commit Notification 2017-04-02 20:48:25 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=c9e5b786f194af2ba20dc76f2c8d3fb2562aa6dc

tdf#102930 Mail Merge Wizard help: Find Entry dialog
Comment 14 Commit Notification 2017-04-02 20:50:17 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=b52dc2fc13f392ee22b81f9ce76001a76a51c2e8

tdf#102930 Mail Merge Wizard: fix E-mail Message window page
Comment 15 Commit Notification 2017-04-02 20:50:30 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=c891d9d6469d04a68ebc06a0a772244f1aacecc9

tdf#102930 Mail Merge Wizard help: Match Field window
Comment 16 Commit Notification 2017-04-02 20:52:26 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=816cf63ac88d263220b33db62cdd94d044f9cc9d

tdf#102930 Mail Merge Wizard: New Address List dialog
Comment 17 Commit Notification 2017-04-02 20:54:20 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=4164e519b7b4008de321da83e3e30c22576a603b

tdf#102930 Mail Merge Wizard: Select Address Block dialog
Comment 18 Commit Notification 2017-04-02 20:54:27 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=dd10747d1e916283958261d640758df40be1341f

tdf#102930 Mail Merge Wizard: Select Address List window
Comment 19 Commit Notification 2017-04-02 20:56:47 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=20cb80d652911121c3c9ad24eaa635a18e3293a0

tdf#102930 Mail Merge Wizard: Update Toolbars page
Comment 20 Commit Notification 2017-04-02 20:57:08 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=e1e4484d95b54d7993342c199fad929fd09f2405

tdf#102930 Mail Merge Wizard: now available from the toolbar
Comment 21 Commit Notification 2017-04-02 20:59:12 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=9edd4f385d6968697cbff1972ee2dc941baddd7c

tdf#102930 Mail Merge Wizard: Form Letter page
Comment 22 Commit Notification 2017-04-02 20:59:25 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=5bffaa7cecbcb102764ce195be2cb5fd03de4d6b

tdf#102930 Mail Merge Wizard: Standard Filter dialog ahelps
Comment 23 Commit Notification 2017-04-02 20:59:46 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=20abdd0a447ec3a330326ccd84257a0af6ce6f95

tdf#102930 Mail Merge Wizard: Drop duplicated page
Comment 24 Commit Notification 2017-04-02 21:02:03 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=cf89d14c283d391bc3441f9a5e4f0c915af76706

tdf#102930 Mail Merge Wizard: Drop obsolete Wizard help pages
Comment 25 Gabor Kelemen 2017-04-02 21:24:11 UTC
Still not there, before someone asks :).
The Edit Address Block page needs new HIDs defined in the code, as it is using the same UI file as the Custom Salutation window.
Comment 26 Commit Notification 2017-05-23 07:58:40 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=78931b6027223617d44a209378c88161345eb21d

tdf#102930 Fix missing ahelp
Comment 27 Commit Notification 2017-05-30 08:44:31 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=0851ba9c035482160b435530ef7f8150978be0dc&h=libreoffice-5-4

tdf#102930 Fix missing ahelp
Comment 28 Commit Notification 2017-06-01 18:30:04 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=904ba1a1d017477b32e5f679e4903b2e6239f43c

tdf#102930 Add a missing bookmark to Custom Salutation page
Comment 29 Commit Notification 2017-06-01 18:31:27 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=68a7c14b19cb6543d694f8a32cd7d9f810ac1313&h=libreoffice-5-4

tdf#102930 Add a missing bookmark to Custom Salutation page
Comment 30 Commit Notification 2017-06-02 08:43:34 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bad19f8ada3978a8eb603719aa0767a89281c68f

tdf#102930 Add custom HIDS for New Address Block page

It will be available in 5.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 31 Commit Notification 2017-06-02 10:17:37 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=4ee7e6ef7170ae862b93d89badf5b512c60f0863

tdf#102930 Update New Address Block / Edit Address Block page
Comment 32 Commit Notification 2017-06-06 20:05:11 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a1a182efeda461d3a59ca7a81f51a9d2b6cdae04&h=libreoffice-5-4

tdf#102930 Add custom HIDS for New Address Block page

It will be available in 5.4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 33 Commit Notification 2017-06-06 21:02:41 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=54706094543d7fcc54bc8d9d3789c40be78decc2&h=libreoffice-5-4

tdf#102930 Update New Address Block / Edit Address Block page
Comment 34 Gabor Kelemen 2017-06-15 21:47:01 UTC
I think all relevant pages were touched quite a bit, they should be in sync with the UI.

The UI and the help is connected now, so F1 and extended help should always work.

A few more practical examples would do good, but creating new guide topics should be a new bug.
Comment 35 Commit Notification 2017-07-13 18:38:05 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=5e623a924db3b7de6c39419f1a7b764a23de1b96

tdf#98799 tdf#102930 Document the logic of the MM wizard 3rd page